boost::geometry::resolve_variant::intersection< Geometry1, variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< GeometryOut > Struct Template Reference

List of all members.

## Public Member Functions

template<typename Geometry2 >
result_type | operator() (Geometry2 const &geometry2) const
| visitor (Geometry1 const &geometry1, GeometryOut &geometry_out)

## Public Attributes

Geometry1 const & | m_geometry1
GeometryOut & | m_geometry_out

### template<typename Geometry1, BOOST_VARIANT_ENUM_PARAMS(typename T)>
template<typename GeometryOut>
struct boost::geometry::resolve_variant::intersection< Geometry1, variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< GeometryOut >

## Constructor & Destructor Documentation

template<typename Geometry1 , BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename GeometryOut >

boost::geometry::resolve_variant::intersection< Geometry1, variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< GeometryOut >::visitor | ( | Geometry1 const & | geometry1,
|  | GeometryOut & | geometry_out
| ) |  |

## Member Function Documentation

template<typename Geometry1 , BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename GeometryOut >
template<typename Geometry2 >

result_type boost::geometry::resolve_variant::intersection< Geometry1, variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< GeometryOut >::operator() | ( | Geometry2 const & | geometry2 | ) | const

## Member Data Documentation

template<typename Geometry1 , BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename GeometryOut >

Geometry1 const& boost::geometry::resolve_variant::intersection< Geometry1, variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< GeometryOut >::m_geometry1

template<typename Geometry1 , BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename GeometryOut >

GeometryOut& boost::geometry::resolve_variant::intersection< Geometry1, variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< GeometryOut >::m_geometry_out

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK